## node-codemirror 6.22.3+~cs119.52.50

=== debian/changelog ===
node-codemirror (6.22.3+~cs119.52.50-1) unstable; urgency=medium

  * New upstream version 6.22.3+~cs119.52.50

 -- Yadd <yadd@debian.org>  Mon, 18 Dec 2023 17:55:57 +0400

node-codemirror (6.22.0+~cs119.51.45-1) unstable; urgency=medium

  * New upstream version 6.22.0+~cs119.51.45

 -- Yadd <yadd@debian.org>  Thu, 09 Nov 2023 10:04:00 +0400

node-codemirror (6.21.4+~cs119.51.45-1) unstable; urgency=medium

  * New upstream version 6.21.4+~cs119.51.45
  * Apply multi-arch hints
  * Require node-lezer-common >= 1.1.0~

 -- Yadd <yadd@debian.org>  Fri, 03 Nov 2023 15:47:13 +0400

node-codemirror (6.18.0+~cs119.49.41-1) unstable; urgency=medium

  * Update lintian overrides
  * Fix types install
  * Fix typescript declarations
  * New upstream version 6.18.0+~cs119.49.41

 -- Yadd <yadd@debian.org>  Mon, 11 Sep 2023 18:00:58 +0400

node-codemirror (6.11.0+~cs119.36.39-1) unstable; urgency=medium

  * Initial release (Closes: #1035714)

 -- Yadd <yadd@debian.org>  Mon, 08 May 2023 13:04:56 +0400
