=== debian/control ===
Source: node-codemirror
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , node-codemirror-state
 , node-lezer-common (>= 1.1.0~)
 , node-lezer-cpp
 , node-lezer-css
 , node-lezer-generator (>= 1.5.0~)
 , node-lezer-html
 , node-lezer-java
 , node-lezer-javascript
 , node-lezer-json
 , node-lezer-markdown
 , node-lezer-php
 , node-lezer-python
 , node-lezer-rust
 , node-lezer-xml
 , node-rollup-plugin-node-resolve
 , node-tslib
 , node-typescript
 , node-w3c-keyname
 , rollup
Standards-Version: 4.6.2
Homepage: https://github.com/codemirror/view#readme
Vcs-Git: https://salsa.debian.org/js-team/node-codemirror.git
Vcs-Browser: https://salsa.debian.org/js-team/node-codemirror
Rules-Requires-Root: no

Package: node-codemirror-lang-markdown
Architecture: all
Depends: ${misc:Depends}
 , node-lezer-common
 , node-lezer-markdown
 , node-codemirror-lang-html
 , node-codemirror-language
 , node-codemirror-state
 , node-codemirror-view
Description: Markdown language support for CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the Markdown language support.

Package: node-codemirror-autocomplete
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-codemirror-state
 , node-codemirror-view
 , node-lezer-common
Description: Autocompletion for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the autocompletion support.

Package: node-codemirror-commands
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-codemirror-state
 , node-codemirror-view
 , node-lezer-common (>= 1.1.0~)
Description: Collection of editing commands for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides a collection of editing commands language support.

Package: node-codemirror-lang-cpp
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-lezer-cpp
Description: C++ language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the C++ language support.

Package: node-codemirror-lang-css
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-codemirror-state
 , node-codemirror-view
 , node-lezer-common
 , node-lezer-css
Description: CSS language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the CSS language support.

Package: node-codemirror-lang-html
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-autocomplete
 , node-codemirror-lang-css
 , node-codemirror-lang-javascript
 , node-codemirror-language
 , node-codemirror-state
 , node-codemirror-view
 , node-lezer-common
 , node-lezer-css
Description: HTML language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the HTML language support.

Package: node-codemirror-lang-java
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-lezer-java
Description: Java language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the Java language support.

Package: node-codemirror-lang-javascript
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-autocomplete
 , node-codemirror-language
 , node-codemirror-lint
 , node-codemirror-state
 , node-codemirror-view
 , node-lezer-common (>= 1.1.0~)
 , node-lezer-javascript
Description: JavaScript language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the JavaScript language support.

Package: node-codemirror-lang-json
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-lezer-json
Description: JSON language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the JSON language support.

Package: node-codemirror-lang-php
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-lang-html
 , node-codemirror-language
 , node-codemirror-state
 , node-lezer-common
 , node-lezer-php
Description: PHP language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the PHP language support.

Package: node-codemirror-lang-python
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-autocomplete
 , node-codemirror-language
 , node-lezer-python
Description: Python language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the Python language support.

Package: node-codemirror-lang-rust
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-lezer-rust
Description: Rust language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the Rust language support.

Package: node-codemirror-lang-sql
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-autocomplete
 , node-codemirror-language
 , node-codemirror-state
 , node-lezer-highlight
 , node-lezer-lr
Description: SQL language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the SQL language support.

Package: node-codemirror-lang-wast
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
 , node-lezer-highlight
 , node-lezer-lr
Description: WebAssembly Text Format language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the WebAssembly Text language support.

Package: node-codemirror-lang-xml
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-autocomplete
 , node-codemirror-language
 , node-codemirror-state
 , node-lezer-common
 , node-lezer-xml
Description: XML language support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the XML language support.

Package: node-codemirror-language
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-state
 , node-codemirror-view
 , node-lezer-common (>= 1.1.0~)
 , node-lezer-highlight
 , node-lezer-lr
 , node-style-mod
Description: Language support infrastructure for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the language support infrastructure.

Package: node-codemirror-legacy-modes
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-language
Description: Collection of ported stream language modes for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides a collection of ported stream language modes.

Package: node-codemirror-lint
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-state
 , node-codemirror-view
 , node-crelt
Description: Linting support for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the linting support.

Package: node-codemirror-search
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-state
 , node-codemirror-view
 , node-crelt
Description: Search functionality for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the search functionality.

Package: node-codemirror-view
Architecture: all
Depends: ${misc:Depends}
 , node-codemirror-state
 , node-style-mod
 , node-w3c-keyname
Description: DOM view component for the CodeMirror code editor
 CodeMirror is a code editor component for the web. It can be used in
 websites to implement a text input field with support for many editing
 features, and has a rich programming interface to allow further extension.
 .
 This package provides the DOM view component.

Package: node-crelt
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Tiny DOM-element creation utility
 node-crelt provides a tiny DOM-element creation utility. It exports a single
 function that returns a DOM element. It is called with
  - a tag name string or DOM element
  - an optional attribute object mapping names to values
  - any number of children

Package: node-style-mod
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Minimal CSS module shim for generating CSS rules and anonymous class names
 node-style-mod provides a minimal CSS module shim for generating CSS rules
