=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-markdown-$1/ \
 https://github.com/codemirror/lang-markdown/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-view,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/node-codemirror-view-$1\.tar\.gz/ \
 https://github.com/codemirror/view/tags .*/v?(\d\S+)\.tar\.gz group

opts=\
component=codemirror-autocomplete,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-autocomplete-$1/ \
 https://github.com/codemirror/autocomplete/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-commands,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-commands-$1/ \
 https://github.com/codemirror/commands/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-cpp,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-cpp-$1/ \
 https://github.com/codemirror/lang-cpp/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-css,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-css-$1/ \
 https://github.com/codemirror/lang-css/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-html,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-html-$1/ \
 https://github.com/codemirror/lang-html/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-java,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-java-$1/ \
 https://github.com/codemirror/lang-java/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-javascript,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-javascript-$1/ \
 https://github.com/codemirror/lang-javascript/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-json,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-json-$1/ \
 https://github.com/codemirror/lang-json/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-php,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-php-$1/ \
 https://github.com/codemirror/lang-php/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-python,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-codemirror-lang-python-$1/ \
 https://github.com/codemirror/lang-python/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=codemirror-lang-rust,\
ctype=nodejs,\
dversionmangle=auto,\
