## node-codemirror 6.33.0+~cs119.71.50

=== debian/changelog ===
node-codemirror (6.33.0+~cs119.71.50-2) unstable; urgency=medium

  * Add missing dependency to node-lezer-html

 -- Yadd <yadd@debian.org>  Mon, 26 Aug 2024 06:05:24 +0400

node-codemirror (6.33.0+~cs119.71.50-1) unstable; urgency=medium

  * New upstream version 6.33.0+~cs119.71.50
  * Reproduce upstream build

 -- Yadd <yadd@debian.org>  Sun, 25 Aug 2024 15:32:20 +0400
