=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
  , dh-nodejs
+ , node-babel7
  , node-codemirror-state
  , node-lezer-common (>= 1.1.0~)
  , node-lezer-cpp
@@ -21,6 +22,7 @@
  , node-lezer-python
  , node-lezer-rust
  , node-lezer-xml
+ , node-magic-string
  , node-rollup-plugin-node-resolve
  , node-tslib
  , node-typescript
@@ -114,6 +116,7 @@
  , node-codemirror-view
  , node-lezer-common
  , node-lezer-css
+ , node-lezer-html
 Description: HTML language support for the CodeMirror code editor
  CodeMirror is a code editor component for the web. It can be used in
  websites to implement a text input field with support for many editing
