## node-codemirror 6.38.1+~cs119.80.67

=== debian/changelog ===
node-codemirror (6.38.1+~cs119.80.67-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version

 -- Yadd <yadd@debian.org>  Thu, 14 Aug 2025 15:07:14 +0200
