=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  , node-typescript
  , node-w3c-keyname
  , rollup
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/codemirror/view#readme
 Vcs-Git: https://salsa.debian.org/js-team/node-codemirror.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-codemirror
